Solid Edge Part Type Library
AddConnector Method
Geometries
Geometries
Connector Type
Connector Value
Search value
Min search distance
Penalty value
GPosition X - cord
GPosition Y - coord
GPosition Z - coord
Color
Symbol spacing factor
Symbol size factor
Connector properties
Symbol spacing
Connector symbol size
Penetration type
Description
Create a new connector.
Syntax
Visual Basic
Public Sub AddConnector( _
   ByRef arrMasterGeomeProxies() As Object, _
   ByRef arrSlaveGeomeProxies() As Object, _
   ByVal eConnectorType As FEAConnectorTypeEnum_Auto, _
   ByVal dConnectorValue As Double, _
   ByVal dSearchDistValue As Double, _
   ByVal dMinSearchDistValue As Double, _
   ByVal dPenaltyValue As Double, _
   ByVal xx As Double, _
   ByVal yy As Double, _
   ByVal zz As Double, _
   ByVal colorConnectorSymbol As ULong, _
   ByVal dSpacingFactor As Double, _
   ByVal dSizeFactor As Double, _
   ByVal dwConnectorProps As ULong, _
   ByVal dConnectorSymSpacing As Double, _
   ByVal dConnectorSymSize As Double, _
   ByVal ePenetrationTypeEnum As FEAInitialPenetrationTypeEnum_Auto, _
   ByRef ppConnectors As Object _
) 
Parameters
arrMasterGeomeProxies
Geometries
arrSlaveGeomeProxies
Geometries
eConnectorType
ValueDescription
eConnectorTypeBoltConnection_Auto 
eConnectorTypeEdgeConnector_Auto 
eConnectorTypeGlue_Auto 
eConnectorTypeGlueEdgeConnector_Auto 
eConnectorTypeLinear_Auto 
eConnectorTypeNone_Auto 
Connector Type
dConnectorValue
Connector Value
dSearchDistValue
Search value
dMinSearchDistValue
Min search distance
dPenaltyValue
Penalty value
xx
GPosition X - cord
yy
GPosition Y - coord
zz
GPosition Z - coord
colorConnectorSymbol
Color
dSpacingFactor
Symbol spacing factor
dSizeFactor
Symbol size factor
dwConnectorProps
Connector properties
dConnectorSymSpacing
Symbol spacing
dConnectorSymSize
Connector symbol size
ePenetrationTypeEnum
ValueDescription
eCalculatedOrZeroType_Auto 
eCalculatedType_Auto 
eZeroGapType_Auto 
Penetration type
ppConnectors
Example
Imports System.IO
Imports System.Runtime.InteropServices

Module Example
    <STAThread()> _
    Sub Main()
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objPartDocument As SolidEdgePart.PartDocument = Nothing
        Dim objStudyOwner As SolidEdgePart.StudyOwner = Nothing
        Dim objStudy As SolidEdgePart.Study = Nothing
        Dim objConnectorOwner As SolidEdgePart.ConnectorOwner = Nothing
        Dim objConnector As SolidEdgePart.FEAConnector = Nothing
        Dim eConnectorType As SolidEdgePart.FEAConnectorTypeEnum_Auto
        Dim dConnectorValue As Double = 100
        Dim dSearchDistValue As Double = 0.000091
        Dim dMinSearchDistValue As Double = 0.01
        Dim dPenaltyValue As Double = 0.0
        Dim dConnectorPosX As Double = 1.0
        Dim dConnectorPosY As Double = 1.0
        Dim dConnectorPosZ As Double = 1.0
        Dim ColorConnectorSymbol As UInt32 = 16769024
        Dim dSpacingFactor As Double = 0.145
        Dim dSizeFactor As Double = 0.155
        Dim dwConnectorProps As UInt32 = 0
        Dim dConnectorSymSpacing As Double = 0.0
        Dim dConnectorSymSize As Double = 0.0
        Dim ePenetrationType As SolidEdgePart.FEAInitialPenetrationTypeEnum_Auto
        Dim objMasterFaceArray(1) As SolidEdgeGeometry.Face
        Dim objSlaveFaceArray(1) As SolidEdgeGeometry.Face

        Try
            OleMessageFilter.Register()

            ' Connect to Solid Edge
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objPartDocument = objApplication.ActiveDocument

            objStudyOwner = objPartDocument.StudyOwner
            objStudy = objStudyOwner.Item(1)
            objStudy.GetConnectorOwner(objConnectorOwner)

            eConnectorType = SolidEdgePart.FEAConnectorTypeEnum_Auto.eConnectorTypeGlue_Auto
            ePenetrationType = SolidEdgePart.FEAInitialPenetrationTypeEnum_Auto.eCalculatedType_Auto

            ' Populate objMasterFaceArray & objSlaveFaceArray

            objConnectorOwner.AddConnector(objMasterFaceArray, _
                                           objSlaveFaceArray, _
                                           eConnectorType, _
                                           dConnectorValue, _
                                           dSearchDistValue, _
                                           dMinSearchDistValue, _
                                           dPenaltyValue, _
                                           dConnectorPosX, _
                                           dConnectorPosY, _
                                           dConnectorPosZ, _
                                           ColorConnectorSymbol, _
                                           dSpacingFactor, _
                                           dSizeFactor, _
                                           dwConnectorProps, _
                                           dConnectorSymSpacing, _
                                           dConnectorSymSize, _
                                           ePenetrationType, _
                                           objConnector)
        Catch ex As Exception
            Console.WriteLine(ex.Message)
        Finally
            OleMessageFilter.Revoke()
        End Try
    End Sub
End Module
See Also

ConnectorOwner Object  | ConnectorOwner Members  | Solid Edge ST3 - What's New